Skip to content

Get tax export summary without downloading

GET
/api/calculate/tax-summary/{address}/export/summary
curl --request GET \
--url 'https://api.qeychain.xyz/api/calculate/tax-summary/example/export/summary?tax_year=1&taxpayer_timezone=America%2FNew_York'

Get a summary of taxable disposals for a tax year without downloading the full export.

Useful for previewing what will be exported or displaying tax summary in UI.

Returns:
- Short-term totals (count, proceeds, cost basis, net gain/loss)
- Long-term totals
- Wash sale statistics
address
required
Address
string
tax_year
required
Tax Year

Tax year (e.g., 2024)

integer

Tax year (e.g., 2024)

taxpayer_timezone
Taxpayer Timezone

Taxpayer’s timezone for tax year boundaries

string
default: America/New_York

Taxpayer’s timezone for tax year boundaries

owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user

Successful Response

Media typeapplication/json
Response Get Tax Export Summary Api Calculate Tax Summary Address Export Summary Get
object
key
additional properties
any
Examplegenerated
{}

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}